// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems;

import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;

import edu.wpi.first.wpilibj.drive.DifferentialDrive;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class DriveTrain extends SubsystemBase {

  private final WPI_TalonSRX roueGauche = new WPI_TalonSRX(1);
  private final WPI_TalonSRX roueDroite = new WPI_TalonSRX(2);

  private final DifferentialDrive drive = new DifferentialDrive(roueGauche, roueDroite);

  private final ShuffleboardTab tab = Shuffleboard.getTab("Peanut");

  /** Creates a new DriveTrain. */
  public DriveTrain() {
    tab.add("Drive Train", drive);
  }

  public void arcadeDrive(double spd, double rot) {
    drive.arcadeDrive(spd, rot);
  }

  public void arcadeDrive(double spd, double rot, boolean squared) {
    drive.arcadeDrive(spd, rot, squared);
  }

  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
